#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobySINGER_ACCESSION(MobyObject):
    """ Description: Accessions in the SINGER database
        Author: singer.grinfo.net
        Contact: rsood@cgiar.org
    """
    def __init__(self,namespace="",id="",ACCNO="",ORIGCTY="",GENUS="",SPECIES="",articleName=""):
        self._articles={"ACCNO":"ACCNO","ORIGCTY":"ORIGCTY","GENUS":"GENUS","SPECIES":"SPECIES"}
        self.namespace=namespace
        self.id=id
        self.ACCNO=ACCNO
        self.ORIGCTY=ORIGCTY
        self.GENUS=GENUS
        self.SPECIES=SPECIES
        self.__prefix__="moby"
        self.__tag__="SINGER_ACCESSION"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="ACCNO" or elt.getAttribute("moby:articleName")=="ACCNO"):
                t=MobyString()
                t.fromMoby(elt)
                self.ACCNO=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="ORIGCTY" or elt.getAttribute("moby:articleName")=="ORIGCTY"):
                t=MobyString()
                t.fromMoby(elt)
                self.ORIGCTY=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="GENUS" or elt.getAttribute("moby:articleName")=="GENUS"):
                t=MobyString()
                t.fromMoby(elt)
                self.GENUS=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="SPECIES" or elt.getAttribute("moby:articleName")=="SPECIES"):
                t=MobyString()
                t.fromMoby(elt)
                self.SPECIES=t.content